kchmviewer_6.0-1_amd64.deb


Advertisement

Description

kchmviewer - CHM viewer for KDE

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name kchmviewer
Package version 6.0
Package release 1
Package architecture amd64
Package type deb
Installed size 771 B
Download size 192.05 KB
Official Mirror ftp.br.debian.org
KchmViewer is a chm (MS HTML help file format) viewer, written in C++.
Unlike most existing CHM viewers for Unix, it uses Trolltech Qt widget
library, and does not depend on KDE or GNOME. However, it may be compiled
with full KDE support, including KDE widgets and KIO/KHTML.
The main advantage of KchmViewer is non-English language support. Unlike
others, KchmViewer in most cases correctly detects help file encoding,
correctly shows tables of context of Russian, Korean, Chinese and Japanese
help files, and correctly searches in non-English help files (search for
MBCS languages - ja/ko/ch is still in progress).
Completely safe and harmless. Does not support JavaScript in any way,
optionally warns you before opening an external web page, or switching to
another help file. Shows an appropriate image for every TOC entry.
KchmViewer Has complete chm index support, including multiple index entries,
cross-links and parent/child entries in index as well as Persistent bookmarks
support. Correctly detects and shows encoding of any valid chm file.

Alternatives

Package Version Architecture Repository
kchmviewer_6.0-1_i386.deb 6.0 i386 Debian Main
kchmviewer - - -

Requires

Name Value
kde-runtime >> 4:4.10
libc6 >= 2.14
libchm1 >= 0.40
libkdecore5 >= 4:4.3.4
libkdeui5 >= 4:4.3.4
libkio5 >= 4:4.3.4
libqt4-dbus >= 4:4.5.3
libqt4-network >= 4:4.5.3
libqtcore4 >= 4:4.7.0~beta1
libqtgui4 >= 4:4.8.0
libqtwebkit4 >= 2.1.0~2011week13
libstdc++6 >= 4.1.1

Download

Type URL
Binary Package kchmviewer_6.0-1_amd64.deb
Source Package kchmviewer

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install kchmviewer deb package:
    # sudo apt-get install kchmviewer

Files

Path
/usr/bin/kchmviewer
/usr/share/applications/kde4/kchmviewer.desktop
/usr/share/doc/kchmviewer/changelog.Debian.gz
/usr/share/doc/kchmviewer/changelog.gz
/usr/share/doc/kchmviewer/copyright
/usr/share/locale/cs/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/fr/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/hu/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/it/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/nl/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/pt_BR/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/ru/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/sv/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/tr/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/uk/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/zh_CN/LC_MESSAGES/kchmviewer.mo
/usr/share/locale/zh_TW/LC_MESSAGES/kchmviewer.mo
/usr/share/man/man1/kchmviewer.1.gz
/usr/share/menu/kchmviewer
/usr/share/pixmaps/kchmviewer.xpm

Changelog

2014-02-09 - Pino Toscano <pino@debian.org>
kchmviewer (6.0-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Update patches:
- 01_disable_kio-msits_build.diff: drop, obsolete
- disable_check_new_version.patch: update
* Bump debhelper compatibility to 9:
- bump compat to 9
- bump debhelper build dependency to >= 9
- fix placement of $@ as dh argument
* Stop recommending okular-extra-backends, as kchmviewer does not use
kio-msits anymore.
* Remove debian/not-installed, outdated and unused.
* Simplify watch file.
* Update copyright.
* Bump Standards-Version to 3.9.5, no changes required.
* Add Vcs-* headers.
* Move kchmviewer.1 from the debian/additions/ directory to just debian/.
* Add libqtwebkit-dev build dependency.
* Link in as-needed mode.
2011-01-30 - Fathi Boudra <fabo@debian.org>
kchmviewer (5.3-1) unstable; urgency=low
* New upstream release.
* Remove patches:
- 00_ftbfs_svn_r363.diff - merged upstream
- 02_grammatical_error.diff - merger upstream
* Add disable_check_new_version.patch to disable new version checking.
(Closes: #602535)
2010-10-06 - Fathi Boudra <fabo@debian.org>
kchmviewer (5.2-1) unstable; urgency=low
* New upstream release.
* Add patch to fix ftbfs caused by missing files.
* Add Recommends okular-extra-backends. (Closes: #597719)
2010-03-17 - Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
kchmviewer (5.1-1) unstable; urgency=low
* New upstream release.
[ José Manuel Santamaría Lema ]
* Switch to dpkg-source 3.0 (quilt) format.
* Update debian/control:
- Remove quilt from Build-Depends.
* Refresh 01_disable_kio-msits_build.diff patch.
[ Fathi Boudra ]
* Add 02_grammatical_error.diff patch. Thanks to Chris Leick.
(Closes: #536201)
* Update debian/control:
- Bump build dependencies versions (debhelper and pkg-kde-tools).
- Bump Standards-Version to 3.8.4 (no changes needed).
* Update debian/copyright:
- kchmviewer is licensed under the GPL version 3 since version 5.0.
* Update debian/rules:
- Enable parallel build (pass --parallel option to dh).
- Use kde sequence addon. (Closes: #574309)
2009-07-29 - Fathi Boudra <fabo@debian.org>
kchmviewer (4.1-1) unstable; urgency=low
* New upstream release. (Closes: #479402, #496888)
* Add patch to disable kio-msits build to avoid okular-extra-backends
conflict.
* Bump compat/debhelper to 7.
* Update debian/control:
- Set Debian KDE Extras Team as Maintainer and myself in Uploaders.
- Update build dependencies:
- Add cmake, quilt and pkg-kde-tools
- Replace kdelibs4-dev by kdelibs5-dev
- Remove autotools-dev
- Update Standards-Version to 3.8.2 (no changes needed).
- Add Homepage field
* Remove deprecated files: debiandirs, dirs and Makefile.
* Update debian/menu file to Debian menu policy 2.1
* Switch debian/rules to dh.
2008-04-13 - Jose Luis Tallon <jltallon@adv-solutions.net>
kchmviewer (3.1-2) unstable; urgency=low
* Fixed FTBFS with gcc-4.3 (Closes: #474869)
- Updated to S-V 3.7.3 with no changes
* Fixed uscan (Closes: #449696)
2007-06-17 - Jose Luis Tallon <jltallon@adv-solutions.net>
kchmviewer (3.1-1) unstable; urgency=low
* New upstream version (Closes: #428128)
- Fixed crash if last file gone (Closes: #420561)
* Fixed menu entry to file into "Apps/Viewers" (Closes: #403032)
2007-05-25 - Jose Luis Tallon <jltallon@adv-solutions.net>
kchmviewer (3.0-1) unstable; urgency=low
* New upstream version
2006-12-08 - Jose Luis Tallon <jltallon@adv-solutions.net>
kchmviewer (2.7-1) unstable; urgency=low
* New upstream version
- Should fix crashes due to bad encoding detection (Closes: #390329)
2006-08-31 - Jose Luis Tallon <jltallon@adv-solutions.net>
kchmviewer (2.6-1) unstable; urgency=low
* New upstream version

See Also

Package Description
kcollectd_0.9-2.1+b3_amd64.deb simple collectd graphing frontend for KDE
kcolorchooser_4.11.3-2_amd64.deb color chooser and palette editor
kcometen4_1.0.8-1_amd64.deb OpenGL KDE screensaver with lightning and comets
kcov_11-1_amd64.deb Code coverage analysis using DWARF debugging information
kcron_4.14.2-1_all.deb program scheduler frontend - transitional package
kdbg_2.5.4-1_amd64.deb graphical debugger interface
kdc2tiff_0.35-10_amd64.deb convert Kodac kdc files to jpeg or tiff
kde-base-artwork_4.11.5-1_all.deb base artwork for the KDE Plasma Workspace
kde-baseapps-bin_4.14.2-1_amd64.deb core binaries for the KDE base applications
kde-baseapps-data_4.14.2-1_all.deb shared data files for the KDE base applications
kde-baseapps_4.14.2-1_all.deb base applications from the official KDE release (meta-package)
kde-config-baloo-advanced_1.00.00-1_amd64.deb advanced configuration module for KDE Baloo Desktop Search
kde-config-cddb_4.14.2-1+b1_amd64.deb CDDB retrieval configuration
kde-config-cron_4.14.2-1_amd64.deb program scheduler frontend
kde-config-fcitx_0.4.3-1_amd64.deb KDE configuration module for Fcitx
Advertisement
Advertisement